# SPDX-License-Identifier: CC0-1.0

{ nixpkgs, dhallApps, packages }:

nixpkgs.writeScriptBin "linux-image" (with nixpkgs.buildPackages; ''
  #!${runtimeShell}
  set -eu
  export DHALL_PRELUDE=''${DHALL_PRELUDE:-${packages.dhallPrelude}/package.dhall}
  export DHALL_GENODE=''${DHALL_GENODE:-${packages.dhallGenode}/package.dhall}
  export BASE_LINUX_MANIFEST=''${BASE_LINUX_MANIFEST:-${packages.genode.base-linux.manifest}}
  export OS_MANIFEST=''${OS_MANIFEST:-${packages.genode.os.manifest}}
  ${dhallApps.dhall.program} text <<< "${./script.dhall} ($@)" > boot.sh
  source boot.sh
  rm boot.sh
'')
