-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let manifest = env:MANIFEST

in  { config =
        Genode.Init::{
        , children =
            toMap
              { solo5 =
                  Genode.Init.Start::{
                  , binary = "solo5-test_blk"
                  , exitPropagate = True
                  , resources = { caps = 256, ram = Genode.units.MiB 3 }
                  , routes =
                      [ Genode.ServiceRoute.parent "Timer"
                      , Genode.ServiceRoute.child "Block" "block"
                      ]
                  }
              , block =
                  Genode.Init.Start::{
                  , binary = "ram_block"
                  , provides = [ "Block" ]
                  , resources = { caps = 96, ram = Genode.units.MiB 9 }
                  , config =
                      Some
                        ( Genode.Prelude.XML.text
                            ''
                              <config size="8M" block_size="4096"/>
                            ''
                        )
                  }
              }
        }
    , rom =
        Genode.Boot.toRomPaths
          [ manifest.solo5-tests.bin.solo5-test_blk, manifest.os.bin.ram_block ]
    }
